pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > Class Template Referenceabstract

`#include <pcl/ml/dt/decision_tree_data_provider.h>`

Inheritance diagram for pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >:

## Public Member Functions

| DecisionTreeTrainerDataProvider ()
| Constructor. More...
| ~DecisionTreeTrainerDataProvider ()
| Destructor. More...
virtual void | getDatasetAndLabels (DataSet &data_set, std::vector< LabelType > &label_data, std::vector< ExampleIndex > &examples)=0
| Virtual function called to obtain training examples and labels before training a specific tree. More...

## Detailed Description

### template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>
class pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >

Definition at line 46 of file decision_tree_data_provider.h.

## Constructor & Destructor Documentation

## DecisionTreeTrainerDataProvider()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::DecisionTreeTrainerDataProvider | ( |  | ) |

inline

Constructor.

Definition at line 57 of file decision_tree_data_provider.h.

## ~DecisionTreeTrainerDataProvider()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::~DecisionTreeTrainerDataProvider | ( |  | ) |

inline

Destructor.

Definition at line 63 of file decision_tree_data_provider.h.

## Member Function Documentation

## getDatasetAndLabels()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

virtual void pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::getDatasetAndLabels | ( | DataSet & | data_set,
|  | std::vector< LabelType > & | label_data,
|  | std::vector< ExampleIndex > & | examples
| ) |  |

pure virtual

Virtual function called to obtain training examples and labels before training a specific tree.

Implemented in pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >.

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/ml/include/pcl/ml/dt/decision_tree_data_provider.h